Loading...
Searching...
No Matches
sy/hesv: Solves Ax = b using symmetric/Hermitian indefinite factorization - no pivoting (driver)
Dense LA » Linear system solvers » Symmetric/Hermitian indefinite » No pivoting variant

## Functions

magma_int_t | magma_chesv_nopiv_gpu (magma_uplo_t uplo, magma_int_t n, magma_int_t nrhs, magmaFloatComplex_ptr dA, magma_int_t ldda, magmaFloatComplex_ptr dB, magma_int_t lddb, magma_int_t *info)
| CHESV solves a system of linear equations A * X = B where A is an n-by-n Hermitian matrix and X and B are n-by-nrhs matrices.
magma_int_t | magma_dsysv_nopiv_gpu (magma_uplo_t uplo, magma_int_t n, magma_int_t nrhs, magmaDouble_ptr dA, magma_int_t ldda, magmaDouble_ptr dB, magma_int_t lddb, magma_int_t *info)
| DSYSV solves a system of linear equations A * X = B where A is an n-by-n symmetric matrix and X and B are n-by-nrhs matrices.
magma_int_t | magma_ssysv_nopiv_gpu (magma_uplo_t uplo, magma_int_t n, magma_int_t nrhs, magmaFloat_ptr dA, magma_int_t ldda, magmaFloat_ptr dB, magma_int_t lddb, magma_int_t *info)
| SSYSV solves a system of linear equations A * X = B where A is an n-by-n symmetric matrix and X and B are n-by-nrhs matrices.
magma_int_t | magma_zhesv_nopiv_gpu (magma_uplo_t uplo, magma_int_t n, magma_int_t nrhs, magmaDoubleComplex_ptr dA, magma_int_t ldda, magmaDoubleComplex_ptr dB, magma_int_t lddb, magma_int_t *info)
| ZHESV solves a system of linear equations A * X = B where A is an n-by-n Hermitian matrix and X and B are n-by-nrhs matrices.

## Detailed Description

## Function Documentation

## magma_chesv_nopiv_gpu()

magma_int_t magma_chesv_nopiv_gpu | ( | magma_uplo_t | uplo,
|  | magma_int_t | n,
|  | magma_int_t | nrhs,
|  | magmaFloatComplex_ptr | dA,
|  | magma_int_t | ldda,
|  | magmaFloatComplex_ptr | dB,
|  | magma_int_t | lddb,
|  | magma_int_t * | info )

CHESV solves a system of linear equations A * X = B where A is an n-by-n Hermitian matrix and X and B are n-by-nrhs matrices.

The LU decomposition with no pivoting is used to factor A as: A = U^H * D * U, if UPLO = MagmaUpper, or A = L * D * L^H, if UPLO = MagmaLower, where U is an upper triangular matrix, L is lower triangular, and D is a diagonal matrix. The factored form of A is then used to solve the system of equations A * X = B.

Parameters

  [in]

  uplo

  magma_uplo_t
  - = MagmaUpper: Upper triangle of A is stored;
  - = MagmaLower: Lower triangle of A is stored.

  [in] | n | INTEGER The order of the matrix A. n >= 0.
  [in] | nrhs | INTEGER The number of right hand sides, i.e., the number of columns of the matrix B. nrhs >= 0.
  [in,out] | dA | COMPLEX array, dimension (ldda,n). On entry, the n-by-n matrix to be factored. On exit, the factors L/U and the diagonal D from the factorization.
  [in] | ldda | INTEGER The leading dimension of the array A. ldda >= max(1,n).
  [in,out] | dB | COMPLEX array, dimension (lddb,nrhs) On entry, the right hand side matrix B. On exit, the solution matrix X.
  [in] | lddb | INTEGER The leading dimension of the array B. lddb >= max(1,n).

  [out]

  info

  INTEGER
  - = 0: successful exit
  - < 0: if INFO = -i, the i-th argument had an illegal value

## magma_dsysv_nopiv_gpu()

magma_int_t magma_dsysv_nopiv_gpu | ( | magma_uplo_t | uplo,
|  | magma_int_t | n,
|  | magma_int_t | nrhs,
|  | magmaDouble_ptr | dA,
|  | magma_int_t | ldda,
|  | magmaDouble_ptr | dB,
|  | magma_int_t | lddb,
|  | magma_int_t * | info )

DSYSV solves a system of linear equations A * X = B where A is an n-by-n symmetric matrix and X and B are n-by-nrhs matrices.

The LU decomposition with no pivoting is used to factor A as: A = U^H * D * U, if UPLO = MagmaUpper, or A = L * D * L^H, if UPLO = MagmaLower, where U is an upper triangular matrix, L is lower triangular, and D is a diagonal matrix. The factored form of A is then used to solve the system of equations A * X = B.

Parameters

  [in]

  uplo

  magma_uplo_t
  - = MagmaUpper: Upper triangle of A is stored;
  - = MagmaLower: Lower triangle of A is stored.

  [in] | n | INTEGER The order of the matrix A. n >= 0.
  [in] | nrhs | INTEGER The number of right hand sides, i.e., the number of columns of the matrix B. nrhs >= 0.
  [in,out] | dA | DOUBLE PRECISION array, dimension (ldda,n). On entry, the n-by-n matrix to be factored. On exit, the factors L/U and the diagonal D from the factorization.
  [in] | ldda | INTEGER The leading dimension of the array A. ldda >= max(1,n).
  [in,out] | dB | DOUBLE PRECISION array, dimension (lddb,nrhs) On entry, the right hand side matrix B. On exit, the solution matrix X.
  [in] | lddb | INTEGER The leading dimension of the array B. lddb >= max(1,n).

  [out]

  info

  INTEGER
  - = 0: successful exit
  - < 0: if INFO = -i, the i-th argument had an illegal value

## magma_ssysv_nopiv_gpu()

magma_int_t magma_ssysv_nopiv_gpu | ( | magma_uplo_t | uplo,
|  | magma_int_t | n,
|  | magma_int_t | nrhs,
|  | magmaFloat_ptr | dA,
|  | magma_int_t | ldda,
|  | magmaFloat_ptr | dB,
|  | magma_int_t | lddb,
|  | magma_int_t * | info )

SSYSV solves a system of linear equations A * X = B where A is an n-by-n symmetric matrix and X and B are n-by-nrhs matrices.

The LU decomposition with no pivoting is used to factor A as: A = U^H * D * U, if UPLO = MagmaUpper, or A = L * D * L^H, if UPLO = MagmaLower, where U is an upper triangular matrix, L is lower triangular, and D is a diagonal matrix. The factored form of A is then used to solve the system of equations A * X = B.

Parameters

  [in]

  uplo

  magma_uplo_t
  - = MagmaUpper: Upper triangle of A is stored;
  - = MagmaLower: Lower triangle of A is stored.

  [in] | n | INTEGER The order of the matrix A. n >= 0.
  [in] | nrhs | INTEGER The number of right hand sides, i.e., the number of columns of the matrix B. nrhs >= 0.
  [in,out] | dA | REAL array, dimension (ldda,n). On entry, the n-by-n matrix to be factored. On exit, the factors L/U and the diagonal D from the factorization.
  [in] | ldda | INTEGER The leading dimension of the array A. ldda >= max(1,n).
  [in,out] | dB | REAL array, dimension (lddb,nrhs) On entry, the right hand side matrix B. On exit, the solution matrix X.
  [in] | lddb | INTEGER The leading dimension of the array B. lddb >= max(1,n).

  [out]

  info

  INTEGER
  - = 0: successful exit
  - < 0: if INFO = -i, the i-th argument had an illegal value

## magma_zhesv_nopiv_gpu()

magma_int_t magma_zhesv_nopiv_gpu | ( | magma_uplo_t | uplo,
|  | magma_int_t | n,
|  | magma_int_t | nrhs,
|  | magmaDoubleComplex_ptr | dA,
|  | magma_int_t | ldda,
|  | magmaDoubleComplex_ptr | dB,
|  | magma_int_t | lddb,
|  | magma_int_t * | info )

ZHESV solves a system of linear equations A * X = B where A is an n-by-n Hermitian matrix and X and B are n-by-nrhs matrices.

The LU decomposition with no pivoting is used to factor A as: A = U^H * D * U, if UPLO = MagmaUpper, or A = L * D * L^H, if UPLO = MagmaLower, where U is an upper triangular matrix, L is lower triangular, and D is a diagonal matrix. The factored form of A is then used to solve the system of equations A * X = B.

Parameters

  [in]

  uplo

  magma_uplo_t
  - = MagmaUpper: Upper triangle of A is stored;
  - = MagmaLower: Lower triangle of A is stored.

  [in] | n | INTEGER The order of the matrix A. n >= 0.
  [in] | nrhs | INTEGER The number of right hand sides, i.e., the number of columns of the matrix B. nrhs >= 0.
  [in,out] | dA | COMPLEX_16 array, dimension (ldda,n). On entry, the n-by-n matrix to be factored. On exit, the factors L/U and the diagonal D from the factorization.
  [in] | ldda | INTEGER The leading dimension of the array A. ldda >= max(1,n).
  [in,out] | dB | COMPLEX_16 array, dimension (lddb,nrhs) On entry, the right hand side matrix B. On exit, the solution matrix X.
  [in] | lddb | INTEGER The leading dimension of the array B. lddb >= max(1,n).

  [out]

  info

  INTEGER
  - = 0: successful exit
  - < 0: if INFO = -i, the i-th argument had an illegal value